MultimediaViewer "Use this file>Embed>Wikitext" snippet should have an alt element to encourage alternative text best practice
Closed, ResolvedPublic

Description

It is recommended that when used on Wikimedia projects images are given alternative texts − see http://enwp.org/WP:ALT

When using the "Use this file>Embed>Wikitext" feature, MultimediaViewer provides a wikitext snippet such as

[[File:Common_Kingfisher_Alcedo_atthis.jpg|thumb|Common Kingfisher Alcedo atthis]]

A fr.wp user pointed out in their feedback that the snippet should have an alt= element, to encourage this accessibility best practice.

(Marking as Unconfirmed as the risk of users leaving an empty alt seems high, and it seems that an empty alt is bad).


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=64518

Details

Reference
bz64519
bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz64519.
bzimport added a subscriber: Unknown Object (MLST).

Confirmed by the user on fr.wp, according to whom “an empty alt does not bother anybody”.

Tgr added a comment.Apr 28 2014, 8:42 PM

I think this puts an unreasonable burden on the reuser. (How many people even know what an alt text is?) Maybe ince Wikidata gets introduced to Commons, we might could have an alt text claim for every image and MediaViewer could use that to prefill the alt field,

(In reply to Tisza Gergő from comment #2)

I think this puts an unreasonable burden on the reuser.

I actually agree, but well :-)

Maybe ince Wikidata gets introduced to Commons,
we might could have an alt text claim for every image and
MediaViewer could use that to prefill the alt field,

Good point.

(Centralized alt text for images is tracked at bug 19906. Wikibase/Wikidata might indeed be a good way forward for that one.)

When the thumbnail used to open MediaViewer has an alt text set, it might make sense to provide that in the embed snippet.

Tgr added a project: Easy.Nov 25 2014, 9:55 PM
Sn1per claimed this task.Dec 30 2014, 12:00 AM
Sn1per set Security to None.

Change 182145 had a related patch set uploaded (by Sn1per):
Show alt-text in export dialog and for lightbox image

https://gerrit.wikimedia.org/r/182145

Patch-For-Review

Change 182145 merged by jenkins-bot:
Show alt-text in export dialog and for lightbox image

https://gerrit.wikimedia.org/r/182145

Tgr closed this task as Resolved.Dec 30 2014, 9:01 PM

Alt text is present now as long as it was present on the original thumbnail as well.

Once we have CommonsData, setting a default alt text per image will be possible.